#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

//definicja pinów pod silniki{
/*
#define M1_A 2
#define M1_B 3
#define M2_A 5
#define M2_B 4
 */
#define M1_A 3
#define M1_B 2
#define M2_A 5
#define M2_B 4
// }

// PWM {
#define PWM 6

// }



// NRF {
#define CE_PIN   9
#define CSN_PIN 10

int x_hiz=0;
int y_hiz=0;

const uint64_t pipe = 0xE8E8F0F0E1LL; 

RF24 radio(CE_PIN, CSN_PIN); 

int data[11]; 
// NRF }

void setup() {
  
  pinMode(M1_A , OUTPUT); pinMode(M1_B , OUTPUT);
  pinMode(M2_A , OUTPUT); pinMode(M2_B , OUTPUT);
  
  // PINY PWM DLA SINIKÓW 
  pinMode(PWM, OUTPUT);        
digitalWrite(PWM,1);
  
  Serial.begin(9600); 
  

  radio.begin();
  //radio.setPALevel(RF24_PA_HIGH);
  radio.setChannel(121);
  radio.setPALevel(RF24_PA_MAX);
  radio.setDataRate(RF24_250KBPS);

  radio.openReadingPipe(1, pipe);
  radio.startListening();
  
}
void tyl(){
  digitalWrite(M1_A,0); digitalWrite(M1_B,1);
//digitalWrite(M2_A,0); digitalWrite(M2_B,1);
}

void przod(){
  digitalWrite(M1_A,1); digitalWrite(M1_B,0);
//  digitalWrite(M2_A,1); digitalWrite(M2_B,0);
}

void lewo(){
 // digitalWrite(M1_A,0); digitalWrite(M1_B,1);
  digitalWrite(M2_A,1); digitalWrite(M2_B,0);
}

void prawo(){
  //digitalWrite(M1_A,1); digitalWrite(M1_B,0);
  digitalWrite(M2_A,0); digitalWrite(M2_B,1);
}
void zerowanie(){
  digitalWrite(M1_A,0); digitalWrite(M1_B,0);
  digitalWrite(M2_A,0); digitalWrite(M2_B,0);
}

void loop() {
 //przod();
  
    if ( radio.available() ) 
    {
      radio.read( data, sizeof(data) );   
      odczyt(data[0],data[1],data[2],data[3],data[4],data[5],data[6],data[7],data[8],data[9],data[10]); 
      Serial.print("Y: "); Serial.println(data[0]);
      Serial.print("X: "); Serial.println(data[1]);
      
    }
   //Serial.println("--------------------------");
    //  delay(1000);
    
   delay(10);
}

void odczyt(int x_axis, int y_axis, int button1, int button2, int button3, int button4, int button5, int button6, int button7, int px_axis, int py_axis) {
y_hiz = 0;
x_hiz = 0;
  if(y_axis>650){
    y_hiz =  map(y_axis, 650, 1023, 0, 250);
    analogWrite(PWM,  y_hiz);
    przod();
    if(px_axis>650){
      
      prawo();
     }
    if(px_axis<350){
      
      lewo(); 
    }
    
  }else if(y_axis<350){
    y_hiz =  map(y_axis, 350, 0, 0, 250);
    analogWrite(PWM,  y_hiz);
    tyl();
     if(px_axis>650){
     
      prawo();
     }
    if(px_axis<350){
      
      lewo(); 
    }  
  }else  if(px_axis>650){
    //x_hiz =  map(x_axis, 650, 1023, 0, 250);
    analogWrite(PWM, 250);
    prawo();
  }else if(px_axis<350){
     // x_hiz =  map(x_axis, 350, 0, 0, 250);
      analogWrite(PWM,  250);
      lewo();   
  }else{
      zerowanie();
  }
}
