#include <SPI.h> 
#include <nRF24L01.h>
#include <RF24.h>


#define CE_PIN  9
#define CSN_PIN 10
#define Lx_axis A1 // x axis
#define Ly_axis A0 //y axis
#define Px_axis A3 // x axis
#define Py_axis A2 //y axis
#define button1 4 // joystick button
#define button2 5  // A button
#define button3 6  // B button
#define button4 A4 // C button
#define button5 2 // D button
#define button6 3 // E button
#define button7 A5 // F button

const uint64_t pipe = 0xE8E8F0F0E1LL; 
//const byte pipe[6] = "00001";

RF24 radio(CE_PIN, CSN_PIN); 
int data[11];  

void setup() 
{
  radio.begin();
  //radio.setPALevel(RF24_PA_HIGH);
  radio.setChannel(121);
  radio.setPALevel(RF24_PA_MAX);
  radio.setDataRate(RF24_250KBPS);
  radio.openWritingPipe(pipe);
 
  pinMode(button1, INPUT_PULLUP);
  pinMode(button2, INPUT_PULLUP);
  pinMode(button3, INPUT_PULLUP);
  pinMode(button4, INPUT_PULLUP);
  pinMode(button5, INPUT_PULLUP);
  pinMode(button6, INPUT_PULLUP);
  pinMode(button7, INPUT_PULLUP);


Serial.begin(9600); 
}
int Lx, Ly, Px, Py;

void loop()   
{
  
  //map(x_axis, 650, 1023, zero, prawo);
  Ly = analogRead(Ly_axis);
  //Lx = analogRead(Lx_axis);
  Py = analogRead(Py_axis);
  Px = analogRead(Px_axis);
  /* 
  if(analogRead(Ly_axis)<510)
    Ly = map(analogRead(Ly_axis),510,0,510,1023);
  else
    Ly = map(analogRead(Ly_axis),510,1023,510,0);
*/
  if(analogRead(Lx_axis)<510)
    Lx = map(analogRead(Lx_axis),510,0,510,1023);
  else
    Lx = map(analogRead(Lx_axis),510,1023,510,0);
 /*
  if(analogRead(Py_axis)<510)
    Py = map(analogRead(Py_axis),510,0,510,1023);
  else
    Py = map(analogRead(Py_axis),510,1023,510,0);

  if(analogRead(Px_axis)<510)
    Px = map(analogRead(Px_axis),510,0,510,1023);
  else
    Px = map(analogRead(Px_axis),510,1023,510,0);
 
Serial.print("LX: "); Serial.println(Lx);
Serial.print("LY: "); Serial.println(Ly);
Serial.print("PX: "); Serial.println(Px);
Serial.print("PY: "); Serial.println(Py);
Serial.print("B1: "); Serial.println(digitalRead(button1));
Serial.print("B2: "); Serial.println(digitalRead(button2));
Serial.print("B3: "); Serial.println(digitalRead(button3));
Serial.print("B4: "); Serial.println(digitalRead(button4));
Serial.print("B5: "); Serial.println(digitalRead(button5));
Serial.print("B6: "); Serial.println(digitalRead(button6));
Serial.print("B7: "); Serial.println(digitalRead(button7));

Serial.println("-------------------------------------");
delay(1000);
 radio.write( data, sizeof(data) ); 
   */
  data[0] = Lx;
  data[1] = Ly;
  data[2] = digitalRead(button1);
  data[3] = digitalRead(button2);
  data[4] = digitalRead(button3);
  data[5] = digitalRead(button4);
  data[6] = digitalRead(button5);
  data[7] = digitalRead(button6);
  data[8] = digitalRead(button7);
  data[9] = Px;
  data[10] = Py;
  radio.write( data, sizeof(data) ); 


}
